osl::rating::TakeBack Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::TakeBack:

## Public Member Functions

| TakeBack ()
bool | match (const NumEffectState &, Move move, const RatingEnv &env) const
virtual bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Detailed Description

Definition at line 27 of file rating/feature.h.

## Constructor & Destructor Documentation

## TakeBack()

osl::rating::TakeBack::TakeBack | ( |  | ) |

inline

Definition at line 30 of file rating/feature.h.

References osl::rating::Feature::Feature().

## Member Function Documentation

## effectiveInCheck()

virtual bool osl::rating::TakeBack::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Feature.

Definition at line 37 of file rating/feature.h.

## match()

bool osl::rating::TakeBack::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 33 of file rating/feature.h.

References osl::container::MoveStack::hasLastMove(), osl::rating::RatingEnv::history, osl::container::MoveStack::lastMove(), and osl::Move::to().

The documentation for this class was generated from the following file:

- rating/feature.h